<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            #{resourceDisplayManager.selectResourceByOid()}
            <s:div id="globalDiv"><h1>#{resourceDisplayManager.selectedResource.oid}</h1>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.ResourceDetails']}
                    </ui:define>
                    <s:div styleClass="message"
                           rendered="#{resourceDisplayManager.selectedResource.importedWithErrors}">
                        <h:outputText
                                value="#{messages['gazelle.hl7.validator.ThisResourceIsUptodateButIsNotValidAccordingToTh']}"/>
                    </s:div>

                    <div class="form-horizontal">
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:param name="id" value="oidDecorate"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['gazelle.hl7mpr.resourceOid']}"/>
                                </ui:define>
                                <h:outputText id="oidDecorate"
                                              value="#{resourceDisplayManager.selectedResource.oid}"/>
                                <h:commandLink id="downloadButton"
                                               actionListener="#{resourceDisplayManager.downloadSelectedResource()}">
                                    <span class="gzl-icon-download"></span>
                                </h:commandLink>

                            </s:decorate>
                            <div class="form-inline">
                                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:param name="id" value="hl7VersionDecorate"/>
                                    <ui:define name="label">
                                        <h:outputText value="#{messages['gazelle.hl7mpr.Hl7Version']}"/>
                                    </ui:define>
                                    <h:outputText id="hl7VersionDecorate"
                                                  value="#{resourceDisplayManager.selectedResource.hl7Version}"
                                                  rendered="#{not resourceDisplayManager.editMode}"/>
                                    <h:inputText value="#{resourceDisplayManager.selectedResource.hl7Version}"
                                                 styleClass="form-control"
                                                 rendered="#{resourceDisplayManager.editMode}"/>
                                </ui:decorate>
                            </div>
                            <div class="form-inline">
                                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:param name="id" value="weightId"/>
                                    <ui:define name="label">
                                        <h:outputText value="#{messages['net.ihe.gazelle.hl7.Weight']}"/>
                                    </ui:define>
                                    <h:inputText id="weightId"
                                                 value="#{resourceDisplayManager.selectedResource.weight}"
                                                 styleClass="form-control"
                                                 rendered="#{resourceDisplayManager.editMode}"/>
                                    <h:outputText value="#{resourceDisplayManager.selectedResource.weight}"
                                                  rendered="#{not resourceDisplayManager.editMode}"/>
                                    <h:outputText
                                            value="(#{messages['net.ihe.gazelle.hl7.HL7ResourceWithHigherWeightWillBeProcessedFirstW']})"/>
                                </ui:decorate>
                            </div>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:param name="id" value="lastChangedOn"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['gazelle.hl7.validator.LastChangedOn']}"/>
                                </ui:define>
                                <h:outputText id="lastChangedOn"
                                              value="#{resourceDisplayManager.selectedResource.lastChanged}">
                                    <f:convertDateTime pattern="yyyy/MM/dd HH:mm:ss z"
                                                       timeZone="#{applicationConfiguration.getValueOfVariable('time_zone')}"/>
                                </h:outputText>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:param name="id" value="lastModifier"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['gazelle.hl7.validator.LastModifier']}"/>
                                </ui:define>
                                <h:outputText id="lastModifier"
                                              value="#{resourceDisplayManager.selectedResource.lastModifier}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:param name="id" value="revision"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['net.ihe.gazelle.hl7.Revision2']}"/>
                                </ui:define>
                                <h:outputText id="revision"
                                              value="#{resourceDisplayManager.selectedResource.revision}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:param name="id" value="commentDisplay"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['gazelle.hl7.validator.Comment']}"/>
                                </ui:define>
                                <h:outputText id="commentDisplay"
                                              rendered="#{not resourceDisplayManager.editMode}"
                                              value="#{resourceDisplayManager.selectedResource.comment}"/>
                                <h:inputTextarea id="commentEdit"
                                                 rendered="#{resourceDisplayManager.editMode}"
                                                 value="#{resourceDisplayManager.selectedResource.comment}"
                                                 cols="50" rows="4"
                                                 maxLength="255"/>
                            </s:decorate>

                            <div class="form-inline">
                                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:param name="id" value="PathDecorate"/>
                                    <ui:define name="label">
                                        <h:outputText value="#{messages['net.ihe.gazelle.hl7.Path']}"
                                                      rendered="#{s:hasRole('admin_role') and not resourceDisplayManager.editMode}"/>
                                    </ui:define>
                                    <h:outputText id="PathDecorate"
                                                  value="#{resourceDisplayManager.selectedResource.path}"
                                                  rendered="#{s:hasRole('admin_role') and not resourceDisplayManager.editMode}"/>
                                    <h:inputText value="#{resourceDisplayManager.selectedResource.path}"
                                                 styleClass="form-control"
                                                 rendered="#{s:hasRole('admin_role') and resourceDisplayManager.editMode}"/>
                                </ui:decorate>
                            </div>

                        </dl>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton id="editButton" actionListener="#{resourceDisplayManager.setEditMode(true)}"
                                           value="#{messages['net.ihe.gazelle.hl7.EditResource']}"
                                           styleClass="gzl-btn-blue"
                                           rendered="#{s:hasRole('admin_role') and not resourceDisplayManager.editMode}"
                                           render="globalDiv"/>
                        <a4j:commandButton id="saveButton" actionListener="#{resourceDisplayManager.saveResource()}"
                                           value="#{messages['gazelle.hl7.validator.SaveChanges']}"
                                           styleClass="gzl-btn-green" rendered="#{resourceDisplayManager.editMode}"
                                           render="globalDiv"/>
                        <a4j:commandButton id="backButton" action="/browser/resourcesList.seam"
                                           value="#{messages['gazelle.hl7.validator.DisplayAllResources']}"
                                           styleClass="gzl-btn"/>
                    </ui:define>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.ResourceContent']}
                        <h:commandLink id="fullScreenIcon" styleClass="pull-right"
                                       action="#{resourceDisplayManager.goToFullView()}">
                            <span class="fa fa-expand"></span>
                        </h:commandLink>
                    </ui:define>
                    <object data="#{applicationConfiguration.getValueOfVariable('application_url')}/viewResource.seam?oid=#{resourceDisplayManager.selectedResource.oid}"
                            type="text/xml" width="100%" height="800px"/>

                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
